function KrytenFirstAidModule()
	local Now = "|cff00ff00NOW:|r ";
	local Next = "|cffFF4444NEXT:|r ";
	
	local Linen = "|TInterface\\ICONS\\INV_Misc_Bandage_15:0|t";			local Linen2 = "|TInterface\\ICONS\\INV_Misc_Bandage_18:0|t";
	local Wool = "|TInterface\\ICONS\\INV_Misc_Bandage_14:0|t";				local Wool2 = "|TInterface\\ICONS\\INV_Misc_Bandage_17:0|t";
	local AntiV = "|TInterface\\ICONS\\INV_Misc_Slime_01:0|t";
	local Silk = "|TInterface\\ICONS\\INV_Misc_Bandage_01:0|t";				local Silk2 = "|TInterface\\ICONS\\INV_Misc_Bandage_02:0|t";
	local Mage = "|TInterface\\ICONS\\INV_Misc_Bandage_19:0|t";				local Mage2 = "|TInterface\\ICONS\\INV_Misc_Bandage_20:0|t";
	local Rune = "|TInterface\\ICONS\\INV_Misc_Bandage_11:0|t";				local Rune2 = "|TInterface\\ICONS\\INV_Misc_Bandage_12:0|t";
	local Nether = "|TInterface\\ICONS\\INV_Misc_Bandage_Netherweave:0|t";	local Nether2 = "|TInterface\\ICONS\\INV_Misc_Bandage_Netherweave_Heavy:0|t";
	local Frost = "|TInterface\\ICONS\\INV_Misc_Bandage_Frostweave:0|t";	local Frost2 = "|TInterface\\ICONS\\INV_Misc_Bandage_Frostweave_Heavy:0|t";
	local FrostManual = "|TInterface\\ICONS\\INV_Misc_Book_03:0|t";
	local Ember = "|TInterface\\ICONS\\INV_Misc_Bandage_16:0|t";			local Ember2 = "|TInterface\\ICONS\\inv_emberweavebandage2:0|t";
	local Ember3 = "|TInterface\\ICONS\\inv_emberweavebandage1:0|t";
	
	if select(6, GetProfessions()) then
		local name, icon, sLvl, sLvlMax, numAbilities, spelloffset, skillLine, skillModifier = GetProfessionInfo(select(6, GetProfessions()));
		GameTooltip:AddLine(" ");
		GameTooltip:AddLine("|T"..icon..":0|t ".. name .. " (|cff00ff00"..sLvl.."|r/|cff00ff00"..sLvlMax.."|r)");
		if sLvl < 40 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Linen.." |cffffffff[Linen Bandage]|r", "(|cff00ff00".. 40-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Linen2.." |cffffffff[Heavy Linen Bandage]|r", "(at skill level |cff00ff0040|r)");
		elseif sLvl >= 40 and sLvl < 50 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Linen2.." |cffffffff[Heavy Linen Bandage]|r", "(|cff00ff00".. 50-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Journeyman (|cff00ff00150|r)", "(at skill level |cff00ff0050|r)");
		elseif sLvl >= 50 and sLvl < 80 and sLvlMax < 150 then
			GameTooltip:AddLine(Now .. "Raise potential to Journeyman (|cff00ff00150|r)");
			GameTooltip:AddDoubleLine(Next .. "Make "..Linen2.." |cffffffff[Heavy Linen Bandage]|r", "(|cff00ff00".. 80-sLvl.."|r points to go)");
		elseif sLvl >= 50 and sLvl < 80 and sLvlMax >= 150 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Linen2.." |cffffffff[Heavy Linen Bandage]|r", "(|cff00ff00".. 80-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Wool.." |cffffffff[Wool Bandage]|r and "..AntiV.." |cffffffff[Anti-Venom]|r", "(at skill level |cff00ff0080|r)");
		elseif sLvl >= 80 and sLvl < 115 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Wool.." |cffffffff[Wool Bandage]|r and "..AntiV.." |cffffffff[Anti-Venom]|r", "(|cff00ff00".. 115-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Wool2.." |cffffffff[Heavy Wool Bandage]|r", "(at skill level |cff00ff00115|r)");
		elseif sLvl >= 115 and sLvl < 125 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Wool2.." |cffffffff[Heavy Wool Bandage]|r", "(|cff00ff00".. 125-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Expert (|cff00ff00225|r)", "(at skill level |cff00ff00125|r)");
		elseif sLvl >= 125 and sLvl < 150 and sLvlMax < 225 then
			GameTooltip:AddLine(Now .. "Raise potential to Expert (|cff00ff00225|r)");
			GameTooltip:AddDoubleLine(Next .. "Make "..Wool2.." |cffffffff[Heavy Wool Bandage]|r", "(|cff00ff00".. 150-sLvl.."|r points to go)");			
		elseif sLvl >= 125 and sLvl < 150 and sLvlMax >= 225 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Wool2.." |cffffffff[Heavy Wool Bandage]|r", "(|cff00ff00".. 150-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Silk.." |cffffffff[Silk Bandage]|r", "(at skill level |cff00ff00150|r)");
		elseif sLvl >= 150 and sLvl < 180 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Silk.." |cffffffff[Silk Bandage]|r", "(|cff00ff00".. 180-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Silk2.." |cffffffff[Heavy Silk Bandage]|r", "(at skill level |cff00ff00180|r)");
		elseif sLvl >= 180 and sLvl < 210 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Silk2.." |cffffffff[Heavy Silk Bandage]|r", "(|cff00ff00".. 210-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Mage.." |cffffffff[Mageweave Bandage]|r", "(at skill level |cff00ff00210|r)");
		elseif sLvl >= 210 and sLvl < 225 and UnitLevel("player") < 35 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Mage.." |cffffffff[Mageweave Bandage]|r", "(|cff00ff00".. 225-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Level your character to |cff00ff0035|r", "(at skill level |cff00ff00225|r)");
		elseif sLvl >= 210 and sLvl < 225 and UnitLevel("player") >= 35 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Mage.." |cffffffff[Mageweave Bandage]|r", "(|cff00ff00".. 225-sLvl.."|r points to go)");
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Artisan (|cff00ff00300|r)", "(at skill level |cff00ff00225|r)");
		elseif sLvl == 225 and UnitLevel("player") < 35 then
			GameTooltip:AddLine(Now .. "Level your character to |cff00ff0035|r");
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Artisan (|cff00ff00300|r)", "(at skill level |cff00ff00225|r)");
		elseif sLvl >= 225 and sLvl < 240 and UnitLevel("player") >= 35 and sLvlMax < 300 then
			GameTooltip:AddLine(Now .. "Raise potential to Artisan (|cff00ff00300|r)");
			GameTooltip:AddDoubleLine(Next .. "Make "..Mage.." |cffffffff[Mageweave Bandage]|r", "(|cff00ff00".. 240-sLvl.."|r points to go)");			
		elseif sLvl >= 225 and sLvl < 240 and UnitLevel("player") >= 35 and sLvlMax >= 300 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Mage.." |cffffffff[Mageweave Bandage]|r", "(|cff00ff00".. 240-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Mage2.." |cffffffff[Heavy Mageweave Bandage]|r", "(at skill level |cff00ff00240|r)");
		elseif sLvl >= 240 and sLvl < 260 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Mage2.." |cffffffff[Heavy Mageweave Bandage]|r", "(|cff00ff00".. 260-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Rune.." |cffffffff[Runecloth Bandage]|r", "(at skill level |cff00ff00260|r)");
		elseif sLvl >= 260 and sLvl < 290 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Rune.." |cffffffff[Runecloth Bandage]|r", "(|cff00ff00".. 290-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Rune2.." |cffffffff[Heavy Runecloth Bandage]|r", "(at skill level |cff00ff00290|r)");
		elseif sLvl >= 290 and sLvl < 300 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Rune2.." |cffffffff[Heavy Runecloth Bandage]|r", "(|cff00ff00".. 300-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Master (|cff00ff00375|r)", "(at skill level |cff00ff00300|r)");
		elseif sLvl >= 300 and sLvlMax < 375 then
			GameTooltip:AddLine(Now .. "Raise potential to Master (|cff00ff00375|r)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Nether.." |cffffffff[Netherweave Bandage]|r", "(at skill level |cff00ff00300|r)");
		elseif sLvl >= 300 and sLvl < 330 and sLvlMax >= 375 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Nether.." |cffffffff[Netherweave Bandage]|r", "(|cff00ff00".. 330-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Nether2.." |cffffffff[Heavy Netherweave Bandage]|r", "(at skill level |cff00ff00330|r)");
		elseif sLvl >= 330 and sLvl < 350 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Nether2.." |cffffffff[Heavy Netherweave Bandage]|r", "(|cff00ff00".. 350-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Grand Master (|cff00ff00450|r)", "(at skill level |cff00ff00350|r)");
		elseif sLvl >= 350 and sLvlMax < 450 then
			GameTooltip:AddLine(Now .. "Raise potential to Grand Master (|cff00ff00450|r)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Frost.." |cffffffff[Frostweave Bandage]|r", "(at skill level |cff00ff00350|r)");
		elseif sLvl >= 350 and sLvl < 400 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Frost.." |cffffffff[Frostweave Bandage]|r", "(|cff00ff00".. 400-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Find and Learn "..FrostManual.." |cff00FF00[Manual: Heavy Frostweave Bandage]|r", "(at skill level |cff00ff00400|r)");
		elseif sLvl == 400 then
			GameTooltip:AddLine(Now .. "Find and Learn "..FrostManual.." |cff00FF00[Manual: Heavy Frostweave Bandage]|r");
			GameTooltip:AddDoubleLine("|cffFFFF00NEXT:|r Make "..Frost2.." |cffffffff[Heavy Frostweave Bandage]|r", "(at skill level |cff00ff00400|r)");			
		elseif sLvl >= 400 and sLvl < 425 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Frost2.." |cffffffff[Heavy Frostweave Bandage]|r", "(|cff00ff00".. 425-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Raise potential to Illustrious Grand Master (|cff00ff00525|r)", "(at skill level |cff00ff00450|r)");
		elseif sLvl >= 425 and sLvlMax < 525 then
			GameTooltip:AddLine(Now .. "Raise potential to Illustrious Grand Master (|cff00ff00525|r)");
			GameTooltip:AddDoubleLine(Next .. "Learn "..Ember.." |cffffffff[Embersilk Bandage]|r", "(at skill level |cff00ff00425|r)");
		elseif sLvl >= 425 and sLvl < 475 and sLvlMax == 525 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Ember.." |cffffffff[Embersilk Bandage]|r", "(|cff00ff00".. 475-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Ember2.." |cffffffff[Heavy Embersilk Bandage]|r", "(at skill level |cff00ff00475|r)");
		elseif sLvl >= 475 and sLvl < 525 then
			GameTooltip:AddDoubleLine(Now .. "Make "..Ember2.." |cffffffff[Heavy Embersilk Bandage]|r", "(|cff00ff00".. 525-sLvl.."|r points to go)");			
			GameTooltip:AddDoubleLine(Next .. "Learn "..Ember3.." |cffffffff[Dense Embersilk Bandage]|r", "(at skill level |cff00ff00525|r)");
		end
	else
		GameTooltip:AddLine(" ");
		GameTooltip:AddLine("You have not learned First Aid!");
	end
end

function KrytenMiningModule()
	local miningID = 0;
	
	if select(1, GetProfessions()) and GetProfessionInfo(select(1, GetProfessions())) == "Mining" then
		miningID = 1;
	elseif select(2, GetProfessions()) and GetProfessionInfo(select(2, GetProfessions())) == "Mining" then
		miningID = 2;
	end

	if miningID > 0 then
		local Now = "|cff00ff00NOW:|r ";
		local Next = "|cffFF4444NEXT:|r ";

		local Copper = "Mine |TInterface\\ICONS\\Inv_ore_copper_01:0|t Copper Vein";
		local Tin = "Mine |TInterface\\ICONS\\Inv_ore_tin_01:0|t Tin Vein";
		local Silver = "Mine |TInterface\\ICONS\\Inv_stone_16:0|t Silver Vein";
		local Iron = "Mine |TInterface\\ICONS\\Inv_ore_iron_01:0|t Iron Vein";
		local Gold = "Mine |TInterface\\ICONS\\Inv_ore_gold_01:0|t Gold Vein";
		local Mithril = "Mine |TInterface\\ICONS\\Inv_ore_mithril_02:0|t Mithril Deposit";
		local Trusilver = "Mine |TInterface\\ICONS\\Inv_ore_truesilver_01:0|t Trusilver Deposit";
		local DarkIron = "Mine |TInterface\\ICONS\\Inv_ore_mithril_01:0|t Dark Iron Vein";
		local SmallThorium = "Mine |TInterface\\ICONS\\Inv_ore_thorium_02:0|t Small Thorium Vein";
		local RichThorium = "Mine |TInterface\\ICONS\\Inv_ore_thorium_02:0|t Rich Thorium Vein";
		local FelIron = "Mine |TInterface\\ICONS\\Inv_ore_feliron:0|t Fel Iron Vein";
		local Adamantium = "Mine |TInterface\\ICONS\\Inv_ore_adamantium:0|t Adamantium Vein";
		local Nethercite = "Mine |TInterface\\ICONS\\Inv_ore_ethernium_01:0|t Nethercite Deposit";
		local RichAdamantium = "Mine |TInterface\\ICONS\\Inv_ore_adamantium:0|t Rich Adamantium Vein";
		local Cobalt = "Mine |TInterface\\ICONS\\Inv_ore_cobalt:0|t Cobalt Deposit";
		local Khorium = "Mine |TInterface\\ICONS\\Inv_ore_khorium:0|t Khorium Vein";
		local RichCobalt = "Mine |TInterface\\ICONS\\Inv_ore_cobalt:0|t Rich Cobalt Deposit";
		local Saronite = "Mine |TInterface\\ICONS\\Inv_ore_saronite_01:0|t Saronite Deposit";
		local RichSaronite = "Mine |TInterface\\ICONS\\Inv_ore_saronite_01:0|t Rich Saronite Deposit";
		local Obsidium = "Mine |TInterface\\ICONS\\Item_elementiumore:0|t Obsidium Deposit";
		local RichObsidium = "Mine |TInterface\\ICONS\\Item_elementiumore:0|t Rich Obsidium Deposit";
		local PureSaronite = "Mine |TInterface\\ICONS\\Inv_ore_saronite_01:0|t Pure Saronite Deposit";
		local Titanium = "Mine |TInterface\\ICONS\\Inv_ore_platinum_01:0|t Titanium Deposit";
		local Elementium = "Mine |TInterface\\ICONS\\Item_pyriumore:0|t Elementium Vein";
		local RichElementium = "Mine |TInterface\\ICONS\\Item_pyriumore:0|t Rich Elementium Vein";
		local Pyrite = "Mine |TInterface\\ICONS\\Inv_ore_arcanite_01:0|t Pyrite Deposit";
		local RichPyrite = "Mine |TInterface\\ICONS\\Inv_ore_arcanite_01:0|t Rich Pyrite Deposit";

		local CopperBar = "Smelt |TInterface\\ICONS\\Inv_ingot_02:0|t Copper Bar";
		local TinBar = "Smelt |TInterface\\ICONS\\Inv_ingot_05:0|t Tin Bar";
		local BronzeBar = "Smelt |TInterface\\ICONS\\Inv_ingot_bronze:0|t Bronze Bar";
		local SilverBar = "Smelt |TInterface\\ICONS\\Inv_ingot_01:0|t Silver Bar";
		local IronBar = "Smelt |TInterface\\ICONS\\Inv_ingot_iron:0|t Iron Bar";
		local GoldBar = "Smelt |TInterface\\ICONS\\Inv_ingot_03:0|t Gold Bar";
		local SteelBar = "Smelt |TInterface\\ICONS\\Inv_ingot_steel:0|t Iron Bar";
		local MithrilBar = "Smelt |TInterface\\ICONS\\Inv_ingot_06:0|t Mithril Bar";
		local TrusilverBar = "Smelt |TInterface\\ICONS\\Inv_ingot_08:0|t Trusilver Bar";
		local ThoriumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_07:0|t Thorium Bar";
		local DarkIronBar = "Smelt |TInterface\\ICONS\\Inv_ingot_mithril:0|t Dark Iron Bar";
		local EnchThoriumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_eternium:0|t Enchanted Thorium Bar";
		local FelIronBar = "Smelt |TInterface\\ICONS\\Inv_ingot_feliron:0|t Fel Iron Bar";
		local EnchElementiumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_thorium:0|t Enchanted Elementium Bar";
		local AdamantiumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_10:0|t Adamantium Bar";
		local HardAdamantiteBar = "Smelt |TInterface\\ICONS\\Inv_ingot_adamantite:0|t Hardened Adamantite Bar";
		local EterniumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_11:0|t Eternium Bar";
		local KhoriumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_09:0|t Khorium Bar";
		local FelsteelBar = "Smelt |TInterface\\ICONS\\Inv_ingot_felsteel:0|t Felsteel Bar";
		local HardenedKhorium = "Smelt |TInterface\\ICONS\\Inv_ingot_thorium:0|t Hardened Khorium";
		local CobaltBar = "Smelt |TInterface\\ICONS\\Inv_ingot_cobalt:0|t Cobalt Bar";
		local SaroniteBar = "Mine |TInterface\\ICONS\\Inv_ingot_yoggthorite:0|t Saronite Bar";
		local ObsidiumBar = "Smelt |TInterface\\ICONS\\Inv_stone_15:0|t Obsidium Bar";
		local TitaniumBar = "Smelt |TInterface\\ICONS\\Inv_ingot_platinum:0|t Titanium Bar";
		local TitansteelBar = "Smelt |TInterface\\ICONS\\Inv_ingot_titansteel_blue:0|t Titansteel Bar";
		local ElementiumBar = "Smelt |TInterface\\ICONS\\Item_pyriumore:0|t Elementium Bar";
		local HardenedElementiumBar = "Smelt |TInterface\\ICONS\\Inv_misc_ebonsteelbar:0|t Hardened Elementium Bar";
		local PyriumBar = "Mine |TInterface\\ICONS\\Inv_misc_pyriumbar_02:0|t Pyrium Bar";

		local EarthShatter = "Shatter |TInterface\\ICONS\\Inv_elemental_primal_earth:0|t Primal Earth";
		local FireSunder = "Sunder |TInterface\\ICONS\\Inv_elemental_primal_fire:0|t Primal Fire";

--[[		Ordered list for reference
			--------------------------
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Next .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Next .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Next .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Next .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Next .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Next .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Next .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Next .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Next .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Next .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Next .. Saronite,			"(|cffFFA500400|r |cffFFFF00425|r |cff008000450|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichSaronite,		"(|cffFFA500425|r |cffFFFF00450|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Obsidium,			"(|cffFFA500425|r |cffFFFF00450|r |cff008000475|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichObsidium,		"(|cffFFA500450|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Next .. PureSaronite,		"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Titanium,			"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Elementium,		"(|cffFFA500475|r |cffFFFF00500|r |cff008000525|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichElementium,	"(|cffFFA500500|r |cffFFFF00525|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Pyrite,			"(|cffFFA500525|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichPyrite,		"(|cffFFA500525|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");

			GameTooltip:AddDoubleLine(Now  .. CopperBar,		"(|cffFFA500  1|r |cffFFFF00 20|r |cff008000 40|r |cff808080 60|r)");
			GameTooltip:AddDoubleLine(Next .. TinBar,			"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 65|r |cff808080 75|r)");
			GameTooltip:AddDoubleLine(Next .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Next .. SilverBar,		"(|cffFFA500 75|r |cffFFFF00100|r |cff008000105|r |cff808080110|r)");
			GameTooltip:AddDoubleLine(Next .. IronBar,			"(|cffFFA500125|r |cffFFFF00125|r |cff008000125|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Next .. GoldBar,			"(|cffFFA500155|r |cffFFFF00155|r |cff008000155|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Next .. MithrilBar,		"(|cffFFA500175|r |cffFFFF00175|r |cff008000175|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Next .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Next .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Next .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. AdamantiumBar,	"(|cffFFA500325|r |cffFFFF00325|r |cff008000332|r |cff808080340|r)");
			GameTooltip:AddDoubleLine(Next .. EterniumBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. FelsteelBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. CobaltBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
			GameTooltip:AddDoubleLine(Next .. ElementiumBar,	"(|cffFFA500475|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Next .. HardElementiumBar,"(|cffFFA500500|r |cffFFFF00500|r |cff008000500|r |cff808080525|r)");
--]]
		local name, icon, sLvl, sLvlMax, numAbilities, spelloffset, skillLine, skillModifier = GetProfessionInfo(select(miningID, GetProfessions()));
		GameTooltip:AddLine(" ");
		GameTooltip:AddLine("|T"..icon..":0|t ".. name .. " (|cff00ff00"..sLvl.."|r/|cff00ff00"..sLvlMax.."|r)");
		if sLvl < 50 then
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Next .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. CopperBar,		"(|cffFFA500  1|r |cffFFFF00 20|r |cff008000 40|r |cff808080 60|r)");
			GameTooltip:AddDoubleLine(Next .. TinBar,			"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 65|r |cff808080 75|r)");
			GameTooltip:AddDoubleLine(Next .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
		elseif sLvl < 60 then
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Next .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. CopperBar,		"(|cffFFA500  1|r |cffFFFF00 20|r |cff008000 40|r |cff808080 60|r)");
			GameTooltip:AddDoubleLine(Next .. TinBar,			"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 65|r |cff808080 75|r)");
			GameTooltip:AddDoubleLine(Next .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
		elseif sLvl < 65 then
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Next .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. TinBar,			"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 65|r |cff808080 75|r)");
			GameTooltip:AddDoubleLine(Next .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
		elseif sLvl < 75 then
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Next .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. TinBar,			"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 65|r |cff808080 75|r)");
			GameTooltip:AddDoubleLine(Now  .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Next .. SilverBar,		"(|cffFFA500 75|r |cffFFFF00100|r |cff008000105|r |cff808080110|r)");
		elseif sLvl < 100 then
			GameTooltip:AddDoubleLine(Now  .. Copper,			"(|cffFFA500  1|r |cffFFFF00 25|r |cff008000 50|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Next .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. BronzeBar,		"(|cffFFA500 65|r |cffFFFF00 65|r |cff008000 75|r |cff808080100|r)");
			GameTooltip:AddDoubleLine(Now  .. SilverBar,		"(|cffFFA500 75|r |cffFFFF00100|r |cff008000105|r |cff808080110|r)");
			GameTooltip:AddDoubleLine(Next .. IronBar,			"(|cffFFA500125|r |cffFFFF00125|r |cff008000125|r |cff808080150|r)");
		elseif sLvl < 115 then
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Next .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. SilverBar,		"(|cffFFA500 75|r |cffFFFF00100|r |cff008000105|r |cff808080110|r)");
			GameTooltip:AddDoubleLine(Next .. IronBar,			"(|cffFFA500125|r |cffFFFF00125|r |cff008000125|r |cff808080150|r)");
		elseif sLvl < 125 then
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Next .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. IronBar,			"(|cffFFA500125|r |cffFFFF00125|r |cff008000125|r |cff808080150|r)");
		elseif sLvl < 150 then
			GameTooltip:AddDoubleLine(Now  .. Tin,				"(|cffFFA500 50|r |cffFFFF00 75|r |cff008000100|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Next .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. IronBar,			"(|cffFFA500125|r |cffFFFF00125|r |cff008000125|r |cff808080150|r)");
			GameTooltip:AddDoubleLine(Next .. GoldBar,			"(|cffFFA500155|r |cffFFFF00155|r |cff008000155|r |cff808080160|r)");
		elseif sLvl < 155 then
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. GoldBar,			"(|cffFFA500155|r |cffFFFF00155|r |cff008000155|r |cff808080160|r)");
		elseif sLvl < 160 then
			GameTooltip:AddDoubleLine(Now  .. Silver,			"(|cffFFA500 65|r |cffFFFF00 85|r |cff008000110|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Next .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. GoldBar,			"(|cffFFA500155|r |cffFFFF00155|r |cff008000155|r |cff808080160|r)");
			GameTooltip:AddDoubleLine(Next .. MithrilBar,		"(|cffFFA500175|r |cffFFFF00175|r |cff008000175|r |cff808080200|r)");
		elseif sLvl < 165 then
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Next .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. MithrilBar,		"(|cffFFA500175|r |cffFFFF00175|r |cff008000175|r |cff808080200|r)");
		elseif sLvl < 175 then
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Next .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. MithrilBar,		"(|cffFFA500175|r |cffFFFF00175|r |cff008000175|r |cff808080200|r)");
		elseif sLvl < 200 then
			GameTooltip:AddDoubleLine(Now  .. Iron,				"(|cffFFA500100|r |cffFFFF00125|r |cff008000150|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Next .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. MithrilBar,		"(|cffFFA500175|r |cffFFFF00175|r |cff008000175|r |cff808080200|r)");
			GameTooltip:AddDoubleLine(Next .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
		elseif sLvl < 215 then
			GameTooltip:AddDoubleLine(Now  .. Gold,				"(|cffFFA500115|r |cffFFFF00130|r |cff008000165|r |cff808080215|r)");
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Next .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
		elseif sLvl < 230 then
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Next .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
		elseif sLvl < 250 then
			GameTooltip:AddDoubleLine(Now  .. Mithril,			"(|cffFFA500150|r |cffFFFF00175|r |cff008000200|r |cff808080250|r)");
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Next .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Next .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
		elseif sLvl < 275 then
			GameTooltip:AddDoubleLine(Now  .. Trusilver,		"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIron,			"(|cffFFA500165|r |cffFFFF00165|r |cff008000  ?|r |cff808080  ?|r)");
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Next .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Next .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
		elseif sLvl < 290 then
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ThoriumBar,		"(|cffFFA500230|r |cffFFFF00230|r |cff008000245|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Next .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
		elseif sLvl < 300 then
			GameTooltip:AddDoubleLine(Now  .. SmallThorium,		"(|cffFFA500200|r |cffFFFF00225|r |cff008000250|r |cff808080300|r)");
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Next .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
		elseif sLvl < 310 then
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. DarkIronBar,		"(|cffFFA500230|r |cffFFFF00300|r |cff008000305|r |cff808080310|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchThoriumBar,	"(|cffFFA500250|r |cffFFFF00250|r |cff008000270|r |cff808080290|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. AdamantiumBar,	"(|cffFFA500325|r |cffFFFF00325|r |cff008000332|r |cff808080340|r)");
		elseif sLvl < 315 then
			GameTooltip:AddDoubleLine(Now  .. RichThorium,		"(|cffFFA500215|r |cffFFFF00240|r |cff008000265|r |cff808080315|r)");
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. AdamantiumBar,	"(|cffFFA500325|r |cffFFFF00325|r |cff008000332|r |cff808080340|r)");
		elseif sLvl < 325 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. FelIronBar,		"(|cffFFA500275|r |cffFFFF00275|r |cff008000300|r |cff808080325|r)");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. AdamantiumBar,	"(|cffFFA500325|r |cffFFFF00325|r |cff008000332|r |cff808080340|r)");
		elseif sLvl < 340 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Now  .. AdamantiumBar,	"(|cffFFA500325|r |cffFFFF00325|r |cff008000332|r |cff808080340|r)");
			GameTooltip:AddDoubleLine(Next .. EterniumBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. FelsteelBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. CobaltBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
		elseif sLvl < 350 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Next .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Next .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. EterniumBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. FelsteelBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Next .. CobaltBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
		elseif sLvl < 365 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Next .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Now  .. EterniumBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Now  .. FelsteelBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000357|r |cff808080365|r)");
			GameTooltip:AddDoubleLine(Now  .. CobaltBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
		elseif sLvl < 375 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Next .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. EnchElementiumBar,"(|cffFFA500300|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Now  .. CobaltBar,		"(|cffFFA500350|r |cffFFFF00350|r |cff008000362|r |cff808080375|r)");
			GameTooltip:AddDoubleLine(Next .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
		elseif sLvl < 400 then
			GameTooltip:AddDoubleLine(Now  .. FelIron,			"(|cffFFA500275|r |cffFFFF00325|r |cff008000350|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. Nethercite,		"(|cffFFA500350|r |cffFFFF00375|r |cff008000390|r |cff808080400|r)");
			GameTooltip:AddDoubleLine(Now  .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Now  .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Next .. Saronite,			"(|cffFFA500400|r |cffFFFF00425|r |cff008000450|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
		elseif sLvl < 425 then
			GameTooltip:AddDoubleLine(Now  .. Adamantium,		"(|cffFFA500325|r |cffFFFF00350|r |cff008000375|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. Cobalt,			"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080425|r)");
			GameTooltip:AddDoubleLine(Now  .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Now  .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Now  .. Saronite,			"(|cffFFA500400|r |cffFFFF00425|r |cff008000450|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichSaronite,		"(|cffFFA500425|r |cffFFFF00450|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Obsidium,			"(|cffFFA500425|r |cffFFFF00450|r |cff008000475|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Next .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
		elseif sLvl < 450 then
			GameTooltip:AddDoubleLine(Now  .. RichAdamantium,	"(|cffFFA500350|r |cffFFFF00375|r |cff008000400|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Now  .. Khorium,			"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichCobalt,		"(|cffFFA500375|r |cffFFFF00400|r |cff008000425|r |cff808080450|r)");
			GameTooltip:AddDoubleLine(Now  .. Saronite,			"(|cffFFA500400|r |cffFFFF00425|r |cff008000450|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichSaronite,		"(|cffFFA500425|r |cffFFFF00450|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Obsidium,			"(|cffFFA500425|r |cffFFFF00450|r |cff008000475|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichObsidium,		"(|cffFFA500450|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Next .. PureSaronite,		"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Titanium,			"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
			GameTooltip:AddDoubleLine(Next .. ElementiumBar,	"(|cffFFA500475|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
		elseif sLvl < 475 then
			GameTooltip:AddDoubleLine(Now  .. Saronite,			"(|cffFFA500400|r |cffFFFF00425|r |cff008000450|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichSaronite,		"(|cffFFA500425|r |cffFFFF00450|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Obsidium,			"(|cffFFA500425|r |cffFFFF00450|r |cff008000475|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichObsidium,		"(|cffFFA500450|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Now  .. PureSaronite,		"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Titanium,			"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Elementium,		"(|cffFFA500475|r |cffFFFF00500|r |cff008000525|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ObsidiumBar,		"(|cffFFA500425|r |cffFFFF00425|r |cff008000437|r |cff808080475|r)");
			GameTooltip:AddDoubleLine(Next .. ElementiumBar,	"(|cffFFA500475|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
		elseif sLvl < 500 then
			GameTooltip:AddDoubleLine(Now  .. RichSaronite,		"(|cffFFA500425|r |cffFFFF00450|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Obsidium,			"(|cffFFA500425|r |cffFFFF00450|r |cff008000475|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichObsidium,		"(|cffFFA500450|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Now  .. PureSaronite,		"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Titanium,			"(|cffFFA500450|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. Elementium,		"(|cffFFA500475|r |cffFFFF00500|r |cff008000525|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichElementium,	"(|cffFFA500500|r |cffFFFF00525|r |cff008000  -|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. ElementiumBar,	"(|cffFFA500475|r |cffFFFF00475|r |cff008000475|r |cff808080500|r)");
			GameTooltip:AddDoubleLine(Next .. HardElementiumBar,"(|cffFFA500500|r |cffFFFF00500|r |cff008000500|r |cff808080525|r)");
		elseif sLvl < 525 then
			GameTooltip:AddDoubleLine(Now  .. Elementium,		"(|cffFFA500475|r |cffFFFF00500|r |cff008000525|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Now  .. RichElementium,	"(|cffFFA500500|r |cffFFFF00525|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. Pyrite,			"(|cffFFA500525|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			GameTooltip:AddDoubleLine(Next .. RichPyrite,		"(|cffFFA500525|r |cffFFFF00  -|r |cff008000  -|r |cff808080  -|r)");
			-- GameTooltip:AddLine(" ");
			GameTooltip:AddLine("Smelting");
			GameTooltip:AddDoubleLine(Now  .. HardElementiumBar,"(|cffFFA500500|r |cffFFFF00500|r |cff008000500|r |cff808080525|r)");
		elseif sLvl == 525 then
			-- Max Level!
		else
			GameTooltip:AddDoubleLine("|cffFF4444No Data for your current skill level!|r",			"(|cffFF4444Sorry!|r)");
		end
	end
end
